{% extends 'base.html' %}

{% block title %}Create User{% endblock %}

{% block content %}

<div class="row mt-3">

    <div class="col-4 mx-auto">
        <p style="font-family: 'Brush Script MT', cursive; font-size:35px;" class="my-3">OTP verification</p>
        <form method="post" novalidate> 

            {% for message in messages %}
                <div class="alert alert-{% if message.tags %}{{message.tags}}{% else %}success{% endif %}" role="alert">
                    {{ message }}
                </div>
            {% endfor %}

            {% if form.non_field_errors %}
                {% for err in form.non_field_errors %}
                    <p style="color:red;">{{ err }}</p>
                {% endfor %}
            {% endif %}

            {% csrf_token %}
            {% for field in form %}
               <p> {{ field.label_tag }} {{ field}} <span style="color:red;">{{ field.errors|striptags }}</span></p>
            {% endfor %}
            <input type="submit" value="Verify OTP" class="btn btn-success"  style="padding-left:30px; padding-right:30px;">
        </form>
        <p class="mt-3">Already hav an account? <a href="{% url 'accounts:login' %}" style="text-decoration:none;">login here</a></p>
    </div>

</div>

{% endblock %}